Name:           kqemu
Version:        1.3.0
Release:        0.2.pre11%{?dist}
Summary:        The QEMU Accelerator Module (KQEMU)

Group:          System Environment/Kernel
License:        GPLv2
URL:            http://fabrice.bellard.free.fr/qemu
Source0:        http://fabrice.bellard.free.fr/qemu/kqemu-%{version}pre11.tar.gz
Source1:        http://kwizart.free.fr/fedora/SOURCES/%{name}.init
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Provides:       kqemu-kmod-common = %{version}
Requires:       kqemu-kmod >= %{version}
Obsoletes:      kqemu-kmod < %{version}

BuildRequires:  texi2html

Requires(post):   /sbin/chkconfig
Requires(post):   /sbin/service
Requires(preun): /sbin/service
Requires(preun): /sbin/chkconfig

Requires: qemu

%description
The QEMU Accelerator Module increases the speed of QEMU when a PC is 
emulated on a PC. It runs most of the target application code directly 
on the host processor to achieve near native performance. 



%prep
%setup -q -n kqemu-%{version}pre11


%build
%configure \
  --libdir=%{_libdir} \
  --kernel-path=%{_includedir}

make doc %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -pm 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/kqemu

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
echo 'KERNEL=="kqemu", NAME="%k", MODE="0666"' \
     > $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/60-kqemu.rules

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
touch $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/kqemu

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 1 ]; then
  /sbin/chkconfig --add kqemu ||:
#  /sbin/service kqemu start > /dev/null 2>&1 || :
fi

%preun 
if [ "$1" = 0 ]; then
  /sbin/service kqemu stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del kqemu
fi 


%files
%defattr(-,root,root,-)
%doc Changelog COPYING LICENSE README
%doc tests *.html
%config %{_sysconfdir}/udev/rules.d/60-kqemu.rules
%config %{_sysconfdir}/sysconfig/kqemu
%{_initrddir}/kqemu


%changelog
* Fri Nov  2 2007 kwizart < kwizart at gmail.com > - 1.3.0-0.2.pre11
- Clean for rpmfusion merge
- Improve initscript

* Fri Feb 09 2007 kwizart < kwizart at gmail.com > - 1.3.0-0.1.pre11
- Initial GPL Release.
